Subject: Re: Pine, and public reply to private e-mail

From: [email-masked] (Gunther Anderson)
Date: Mon, 19 Dec 1994 15:36:04 GMT

Ron Newman ([email-masked]) wrote:
: In article <[email-masked]>,
: Arnt Gulbrandsen <[email-masked]> wrote:
: >reply" and proceeded to ask him.  One keystroke later he'd posted a
: >reply to private email.

: Hey, that's happened several times recently on
: alt.religion.scientology!  Someone posts private e-mail, doesn't even
: realize they've done it until the writer of the e-mail complains,
: blames it on Pine.

: What is it about Pine that differs from every other news and mail
: program, making this easy to do?

It's primarily a mail reader.  It's engine internally doesn't make a 
distinction between news and mail.  It treats newsgroups as mail folders 
with restricted permissions, and so in the mail composition module, it 
doesn't know where the message it's replying to came from.  It notes a 
"Newsgroups:" header, and figures it's supposed to be posted as well as 
mailed.  Clearly, it needs to be able to make a distinction at the 
beginning of what sort of message this really is, and handle unexpected 
header lines with more grace.  They're not going to remove the ability to 
post and mail simultaneously, because sometimes that's a really 
worthwhile thing to be able to do.  Perhaps, if they just stripped off 
the Newsgroups: header when composing a reply to mail, their engine could 
remain more or less unchanged.

I'm fairly sure the Pine Development Team knows about this problem, and 
I'd expect the next release to fix it.  No release dates are available, 
and we're not sure if it's going to be 3.92 or 4.0.  If I can get in the 
Beta circle again, I'll try to make sure it gets addressed.

Gunther Anderson